---
title: "Get a supplier contract"
slug: "get-a-supplier-contract"
updated: 2026-03-20T15:11:31Z
published: 2026-03-20T15:11:31Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a supplier contract

Get/api/v1/contracts/supplier

Get an existing supplier contract. Either reference or externalIdentifier must have a value. If both are given, both are used for retrieving the supplier contract.

		
			

**Description**

Retrieve the information currently known in the Bloxs database about a certain finalized supplier contract. Either reference or externalIdentifier must have a value. Please note that if both identifiers are given, both must match; otherwise, an error message will be generated. It is recommended that the user utilizes only one identifier, with a preference for the reference.

A supplier contract pertains to contracts with a supplier for, for instance, the regular servicing of heating and ventilation systemes in rental properties.

**Use Case**

The user wants to display a full overview of all existing supplier contracts which are administrated in Bloxs in a third party application. This endpoint can be used to retrieve the most important details of the supplier contracts.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| reference | The reference of the contract as generated by Bloxs. |
| externalIdentifier | The unique identifier of the contract within the system of the requesting party. This identifier is not generated by the Bloxs system. |

**Response fields**

The 200 response contains the fields in the table below. For the GET operation it gives an up-to-date insight in the data that is currently registered in Bloxs.

| Field | Description |
| --- | --- |
| reference | The reference of the contract as generated by Bloxs. |
| externalIdentifier | The unique identifier of the contract within the system of the requesting party. This identifier is not generated by the Bloxs system. |
| ownerReference | This pertains to the reference of the owner of the object which is subject of the contract. Please note, a reference assigned by Bloxs must be included here. |
| relationReference | The unique relation number assigned to the supplier within Bloxs. This identifier is unique per client-specific environment and is shared across all relation types, including Persons, Organisations, Suppliers, Estate Agents, Financiers, and Owners. |
| startDate | Start date of the contract. |
| endDate | End date of the contract. This may be left blank; otherwise, please fill in the contract end date. This can also be the date on which the contract is automatically renewed. |
| automaticExtends | This field indicates whether the contract is subject to automatic renewal. The default value is "false." |
| noticeDate | The latest date by which the contract can be cancelled, before an automatic extension is activated. This is true only if 'automaticExtends' = true. This date is automatically calculated by Bloxs based on the 'noticePeriod' & 'endDate' of the contract. If 'endDate' is left empty, noticeDate will not be calculated and therefore be left empty. |
| noticePeriod | Notice period of the contract specified in months. This is relevant if automatic extension applies to this contract (automaticExtends = true). |

		
		
Security

Query parametersreferencestring

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

externalIdentifierstring

The external API identifier of the model.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='77d2cf20-76ce-4998-926c-e605309d6b38'>application/json</option>
</select>object  referencestring   | null  Min length0Max length100
externalIdentifierstring   | null  Min length0Max length100
ownerReferencestring   | null  Min length0Max length100
relationReferencestring   | null  Min length0Max length100
startDatestring  (date-time)    
endDatestring  (date-time)   | null  
automaticExtendsboolean    
noticeDatestring  (date-time)   | null  
noticePeriodinteger  (int32)   | null  

404

The requested supplier contract was not found.
